Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

to_time method issue with Ruby 1.9.1_p376 and whois > 1.1.3 #24

Closed
kochka opened this Issue · 3 comments

2 participants

@kochka

I've got this error with whois > 1.1.3 using Ruby 1.9.1_p376 :

/usr/lib64/ruby19/gems/1.9.1/gems/whois-1.1.6/lib/core_ext.rb:27:in `remove_method': method `to_time' not defined in DateTime (NameError)
        from /usr/lib64/ruby19/gems/1.9.1/gems/whois-1.1.6/lib/core_ext.rb:27:in `'
        from /usr/lib64/ruby19/gems/1.9.1/gems/whois-1.1.6/lib/core_ext.rb:24:in `'
        from /usr/lib64/ruby19/gems/1.9.1/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:156:in `require'
        from /usr/lib64/ruby19/gems/1.9.1/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:156:in `block in require'
        from /usr/lib64/ruby19/gems/1.9.1/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:521:in `new_constants_in'
        from /usr/lib64/ruby19/gems/1.9.1/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:156:in `require'
        from /usr/lib64/ruby19/gems/1.9.1/gems/whois-1.1.6/lib/whois.rb:17:in `'
        from /usr/lib64/ruby19/gems/1.9.1/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:156:in `require'
        from /usr/lib64/ruby19/gems/1.9.1/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:156:in `block in require'
        from /usr/lib64/ruby19/gems/1.9.1/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:521:in `new_constants_in'
        from /usr/lib64/ruby19/gems/1.9.1/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:156:in `require'
        from /usr/lib64/ruby19/gems/1.9.1/gems/rails-2.3.8/lib/rails/gem_dependency.rb:215:in `load'
        from /usr/lib64/ruby19/gems/1.9.1/gems/rails-2.3.8/lib/initializer.rb:307:in `block in load_gems'
        from /usr/lib64/ruby19/gems/1.9.1/gems/rails-2.3.8/lib/initializer.rb:307:in `each'
        from /usr/lib64/ruby19/gems/1.9.1/gems/rails-2.3.8/lib/initializer.rb:307:in `load_gems'
        from /usr/lib64/ruby19/gems/1.9.1/gems/rails-2.3.8/lib/initializer.rb:164:in `process'
        from /usr/lib64/ruby19/gems/1.9.1/gems/rails-2.3.8/lib/initializer.rb:113:in `run'
        from /home/kochka/meeting-engine-admin/config/environment.rb:12:in `'
        from /usr/lib64/ruby19/gems/1.9.1/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:156:in `require'
        from /usr/lib64/ruby19/gems/1.9.1/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:156:in `block in require'
        from /usr/lib64/ruby19/gems/1.9.1/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:521:in `new_constants_in'
        from /usr/lib64/ruby19/gems/1.9.1/gems/activesupport-2.3.8/lib/active_support/dependencies.rb:156:in `require'
        from /usr/lib64/ruby19/gems/1.9.1/gems/rails-2.3.8/lib/commands/server.rb:84:in `'
        from script/server:3:in `require'
        from script/server:3:in `'
@weppos
Owner

Fixed "method `to_time' not defined in DateTime (NameError)" when the library is used with Ruby 1.9.1 and Rails (closed by a8e05af)

@weppos
Owner

Apparently, Whois 1.1.6 crashed when loaded in combination with Ruby 1.9.1 and Rails. It worked with Ruby 1.9.1 alone. I fixed the issue and released Whois 1.1.7.

Thank you.

@kochka

Thank you for this really quick fix ;)

This issue was closed.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.